[在gulp中使用jquery语法处理DOM]

Gulp plugin for generic DOM manipulation by jQuery grammar.

This Gulp plugin is a simple wrapper around jsdom and jQuery making it possible to run DOM operations on any inbound HTML by jQuery grammar.

This Gulp plugin depend on jquery, jsdom and console-color-mr。

* [jquery](https://www.npmjs.com/package/jquery)
* [jsdom](https://www.npmjs.com/package/jsdom)
* [gulp-jquery-mr](https://www.npmjs.com/package/gulp-jquery-mr)


## Installation
> npm install gulp-jquery-mr --save-dev

#### Install dependencies

> npm install jquery jsdom console-color-mr --save-dev

## Simple Example

````
const gulp = require('gulp');
const gulpJquery = require('gulp-jquery-mr');

gulp.task('handleHtml', function () {
	return gulp.src('test/index.html')
		.pipe(gulpJquery(function ($) {
			$('#test').html('Hello Micahel');
		}))
		.pipe(gulp.dest('test/build'));
});

````

